org.eclipse.jetty.server

## Interface UserIdentity.Scope

All Known Implementing Classes:
  ServletHolder

Enclosing interface:
  UserIdentity

    public static interface UserIdentity.Scope

A UserIdentity Scope. A scope is the environment in which a User Identity is to be interpreted. Typically it is set by the target servlet of a request.

### Method Summary

Methods
`String` `getContextPath()`
`String` `getName()`
`Map<String,String>` `getRoleRefMap()`

### Method Detail

#### getContextPath

    String getContextPath()

Returns:
  The context path that the identity is being considered within

#### getName

    String getName()

Returns:
  The name of the identity context. Typically this is the servlet name.

#### getRoleRefMap

    Map<String,String> getRoleRefMap()

Returns:
  A map of role reference names that converts from names used by application code to names used by the context deployment.